package com.ms.biz.service.impl;

import com.ms.biz.service.PlatformPurchaseOrderMaskAddressService;
import com.ms.dal.entity.PlatformPurchaseOrderMaskAddress;
import com.ms.dal.mapper.PlatformPurchaseOrderMaskAddressMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PlatformPurchaseOrderMaskAddressServiceImpl implements PlatformPurchaseOrderMaskAddressService {

    @Autowired
    private PlatformPurchaseOrderMaskAddressMapper platformPurchaseOrderMaskAddressMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return platformPurchaseOrderMaskAddressMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PlatformPurchaseOrderMaskAddress record) {
        return platformPurchaseOrderMaskAddressMapper.insert(record);
    }

    @Override
    public int insertSelective(PlatformPurchaseOrderMaskAddress record) {
        return platformPurchaseOrderMaskAddressMapper.insertSelective(record);
    }

    @Override
    public PlatformPurchaseOrderMaskAddress selectByPrimaryKey(String id) {
        return platformPurchaseOrderMaskAddressMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PlatformPurchaseOrderMaskAddress record) {
        return platformPurchaseOrderMaskAddressMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PlatformPurchaseOrderMaskAddress record) {
        return platformPurchaseOrderMaskAddressMapper.updateByPrimaryKey(record);
    }

}




